Bug 1249752 - imjournal stops logging due to corrupt state file
imjournal stops logging due to corrupt state file
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: rsyslog (Show other bugs)
25
x86_64 Linux
unspecified Severity unspecified
: ---
: ---
Assigned To: Jiří Vymazal
Fedora Extras Quality Assurance
: Reopened
Depends On:
Blocks: 1203710
  Show dependency treegraph
 
Reported: 2015-08-03 13:29 EDT by Matthew Woehlke
Modified: 2017-01-09 17:07 EST (History)
7 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2016-12-23 07:42:01 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Matthew Woehlke 2015-08-03 13:29:33 EDT
I'm seeing this in /var/log/messages:

  Jun 19 14:30:51 gryphon rsyslogd-2027: imjournal: fscanf on state file
`/var/lib/rsyslog/imjournal.state' failed  [v8.8.0 try
http://www.rsyslog.com/e/2027 ]

...and seem to be getting no other logging. IMO the system should be more robust against the file being corrupt or (as in my case) empty.

(See also not-entirely-related bug #1088021.)

I've been having problems with the machine (can't log in, likes to stop responding) that have been causing me to do hard power cycles quite often. It may be that this is what causes the corruption.

(Note: From second/third-hand accounts, this may be fixed already upstream and just needs a new package built and/or is waiting on a new upstream release.)
Comment 1 Fedora End Of Life 2016-07-19 13:20:12 EDT
Fedora 22 changed to end-of-life (EOL) status on 2016-07-19. Fedora 22 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.
Comment 2 Jan Kurik 2016-07-26 01:08:01 EDT
This bug appears to have been reported against 'rawhide' during the Fedora 25 development cycle.
Changing version to '25'.
Comment 4 Jiří Vymazal 2016-12-23 07:42:01 EST
fixed by new version in rawhide, corrupting/deleting /var/lib/rsyslog/imjournal.state does no longer produce any errors in /var/log/messages

closing

Note You need to log in before you can comment on or make changes to this bug.